#!/usr/bin/env python

# An example script using rhumba.py

from rhumba import *
import ouroboros_support as our

n1 = NormalDIF("n1", policies = {"rmt.pff": "lfa",
                                 "security-manager": "passwd"})

e1 = ShimEthDIF("e1")

a = Node("a",
         difs = [n1, e1],
         dif_registrations = {n1 : [e1]},
         registrations = {"a.crap" : [n1]},
         bindings = {"a.crap" : "/usr/bin/crap"})

b = Node("b",
         difs = [e1, n1],
         dif_registrations = {n1 : [e1]})

tb = jFedTestbed(exp_name = "letest",
                 username = "sander",
                 cert_file = "cert.pem",
                 jfed_jar = "jfed_cli/experimenter-cli.jar")

exp = IRATIExperiment(tb, nodes = [a, b])

print(exp)

exp.run()
